function init()
	-- NAME & GRAPHIC --
	c.name = "VectorClassic"
	c.gfxFile = "vector_ship.png"

	-- STATS --
	c.mass = 50
	c.stat.strafe = .6
	c.stat.thrust = .85
	c.stat.maxSpeed = 300
	c.stat.turnRate = 300
	c.stat.armour = .25
	--c.stat.barrier = 1
	--c.stat.juice = 6.5

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- MISC --
	c.emitFX = 0
	c.setExplodeSound("explode_ship.wav")
	c.behavior = "circleandshoot"
	c.material = 3--vector
	--c.unlockable = 1
	--c.cost = 2000
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 1	--from map_icons.png, which frame to use.
	return 0
end